Bug 91088 - Cannot change paper size
Cannot change paper size
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-17 13:34 EDT by George Lebl
Modified: 2007-04-18 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:45:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George Lebl 2003-05-17 13:34:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I use the Czech locale, but I live in the US and have a US Letter paper size. 
However the printconf is refusing to allow me to choose Letter as a choice in
the device options, whenever I set it, it will reset it back to A4 when I run
the modification dialog again in printconf.  And the test page is obviously 
printed for A4 paper size.

I have had RH8 installed and just upgraded to RH9 and I had printing working
fine with RH8.  When I upgraded I ran the print switcher app to switch to cups.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install in czech locale
2.  Try to set Letter in the printconf dialog for any particular spool
3.  rerun the editting dialog and see that the A4 option is back
    

Actual Results:  Can't print on letter paper properly

Expected Results:  want to get letter paper, I can't even buy A4 here

Additional info:
Comment 1 Tim Waugh 2003-05-21 07:38:37 EDT
Please try editing /usr/share/printconf/util/printconf_conf.py, at about line
510, and change the line:

  always = [ "PreFilter" ]

to:

  always = [ "PreFilter", "PageSize" ]

Does that fix the problem for you?
Comment 2 George Lebl 2003-05-21 19:52:18 EDT
Yes, that fixed things perfectly, the setting sticks and the test page prints
out correctly.  Thanks!
Comment 3 Bill Nottingham 2006-08-04 23:59:43 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 5 Bill Nottingham 2007-01-02 13:45:58 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.